#ifndef INFODISPLAYWIDGET_H
#define INFODISPLAYWIDGET_H

#include <QTabWidget>

class EntityProperty;

class InfoDisplayWidget : public QTabWidget
{
    Q_OBJECT
public:
    InfoDisplayWidget(QWidget* parent = nullptr);


    EntityProperty* getEntityPropertyWidget();
private:
    void initUI();

private:
    QWidget* mTaskWidget;
    QWidget* mPlanWidget;
    QWidget* mQuotaWidget;
    EntityProperty* mPropertyWidget;
};

#endif // LAYERCONTROLWIDGET_H
